Bug 128849 - audio/sox bump to 14.2.0
Summary: audio/sox bump to 14.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-13 19:10 UTC by beckman
Modified: 2008-11-15 19:00 UTC (History)
0 users

See Also:


Attachments
sox.diff (10.51 KB, patch)
2008-11-13 21:11 UTC, Dan Nelson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description beckman 2008-11-13 19:10:05 UTC
sox 14.2.0 was released on 11/9/2008.  Request bump of port.  dnelson@allantgroup.com
Comment 1 Edwin Groothuis freebsd_committer 2008-11-13 19:10:15 UTC
Maintainer of audio/sox,

Please note that PR ports/128849 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128849

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-11-13 19:10:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 beckman 2008-11-13 19:26:55 UTC
I was able to get it working... here's a diff.  They fixed the
parenthesis stuff, so I removed the patch file.

diff -u sox-14.1.0/Makefile sox/Makefile
--- sox-14.1.0/Makefile Wed Sep 24 12:12:25 2008
+++ sox/Makefile        Thu Nov 13 19:16:30 2008
@@ -6,7 +6,7 @@
 #

 PORTNAME=      sox
-PORTVERSION=   14.1.0
+PORTVERSION=   14.2.0
 CATEGORIES=    audio
 MASTER_SITES=  SF

diff -u sox-14.1.0/distinfo sox/distinfo
--- sox-14.1.0/distinfo Wed Sep 24 12:12:25 2008
+++ sox/distinfo        Thu Nov 13 19:18:36 2008
@@ -1,3 +1,3 @@
-MD5 (sox-14.1.0.tar.gz) = b8e2cb3d615d3830347a0948dd8b74a8
-SHA256 (sox-14.1.0.tar.gz) =
319cf07ee06fcbfbcaced7307e23ca567739c278f76bc143a9258a9a23e42101
-SIZE (sox-14.1.0.tar.gz) = 912057
+MD5 (sox-14.2.0.tar.gz) = 7afc0e85d14be014f08e7d3b7ee8c24e
+SHA256 (sox-14.2.0.tar.gz) =
8d1b8eb33a72a181369475c9da5fdcbe5f6820e6af3d86a0e84f6939e61a9dc1
+SIZE (sox-14.2.0.tar.gz) = 964800
Common subdirectories: sox-14.1.0/files and sox/files

-- 
I am Beckman.
Comment 4 Dan Nelson 2008-11-13 21:11:04 UTC
In the last episode (Nov 13), Peter Beckman said:
> I was able to get it working... here's a diff.  They fixed the
> parenthesis stuff, so I removed the patch file.

It's never that easy :)  It looks like sox-14.2.0 removed a shared
library, bumped the version of libsox.so, removed a manpage, and also
removed the .so.0 files for all of its loadable modules.  Try the
attached patch.

-- 
	Dan Nelson
	dnelson@allantgroup.com
Comment 5 beckman 2008-11-13 21:56:50 UTC
On Thu, 13 Nov 2008, Dan Nelson wrote:

> In the last episode (Nov 13), Peter Beckman said:
>> I was able to get it working... here's a diff.  They fixed the
>> parenthesis stuff, so I removed the patch file.
>
> It's never that easy :)

  *laugh* sometimes when I submit a bug about it, I think "hey, I could do
  the diff and save the maintainer some time!"  Then when it comes to the
  reality of things, there's a reason I'm not a maintainer!

> It looks like sox-14.2.0 removed a shared library, bumped the version of
> libsox.so, removed a manpage, and also removed the .so.0 files for all of
> its loadable modules.  Try the attached patch.

  Excellent.  The port installed without the file list, but I probably have
  some old files hanging around.  I'll clean it up once the port is up.

  Lots of warnings on install, expected?

  /bin/sh ../libtool --silent  --silent --mode=install /usr/bin/install -c -o root -g wheel  'libsox_fmt_mp3.la' '/usr/local/lib/sox/libsox_fmt_mp3.la'
  libtool: install: warning: relinking `libsox_fmt_mp3.la'

  Thanks for maintaining the port!  Had to upgrade due to an issue in 14.1.0
  where short MP3 files would not be converted, even if they were valid.
  14.2.0 fixed it.

Beckman
---------------------------------------------------------------------------
Peter Beckman                                                  Internet Guy
beckman@angryox.com                                 http://www.angryox.com/
---------------------------------------------------------------------------
Comment 6 Dan Nelson 2008-11-14 17:27:28 UTC
In the last episode (Nov 13), Peter Beckman said:
> On Thu, 13 Nov 2008, Dan Nelson wrote:
> > It looks like sox-14.2.0 removed a shared library, bumped the
> > version of libsox.so, removed a manpage, and also removed the .so.0
> > files for all of its loadable modules.  Try the attached patch.
> 
>   Excellent.  The port installed without the file list, but I
>   probably have some old files hanging around.  I'll clean it up once
>   the port is up.
> 
>   Lots of warnings on install, expected?
> 
>   /bin/sh ../libtool --silent  --silent --mode=install /usr/bin/install -c -o root -g wheel  'libsox_fmt_mp3.la' '/usr/local/lib/sox/libsox_fmt_mp3.la'
>   libtool: install: warning: relinking `libsox_fmt_mp3.la'

Standard libtool message.

If a ports commiter is reading this, as Maintainer I say that the
"sox.diff" patch is okay to commit.

-- 
	Dan Nelson
	dnelson@allantgroup.com
Comment 7 Dmitry Marakasov freebsd_committer 2008-11-15 17:01:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 8 Dmitry Marakasov freebsd_committer 2008-11-15 18:57:53 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 9 dfilter service freebsd_committer 2008-11-15 18:57:56 UTC
amdmi3      2008-11-15 18:57:47 UTC

  FreeBSD ports repository

  Modified files:
    audio/sox            Makefile distinfo pkg-plist 
  Removed files:
    audio/sox/files      patch-sox.c 
  Log:
  - Update to 14.2.0
  
  PR:             128849
  Submitted by:   Peter Beckman <beckman at angryox dot com>
  Final patch by: Dan Nelson <dnelson at allantgroup dot com> (maintainer)
  Approved by:    Dan Nelson <dnelson at allantgroup dot com> (maintainer)
  
  Revision  Changes    Path
  1.41      +3 -5      ports/audio/sox/Makefile
  1.19      +3 -3      ports/audio/sox/distinfo
  1.2       +0 -14     ports/audio/sox/files/patch-sox.c (dead)
  1.11      +2 -68     ports/audio/sox/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"